Subject: bug#43735: 28.0.50; eshell: No such directory found via CDPATH environment variable

From: Jean Louis <[email-masked]>
Date: Wed, 7 Oct 2020 12:59:49 +0300

* Lars Ingebrigtsen <[email-masked]> [2020-10-02 00:56]:
> Jean Louis <[email-masked]> writes:
> 
> > If you change within shell or eshell maybe no, I change it in .bashrc
> > before launching and can reproduce reliably
> 
> My test case is
> 
> CDPATH="/var" emacs -Q
> M-x eshell
> $ cd tmp
> /var/tmp $
> 
> So CDPATH works as advertised in eshell, as far as I can tell.

I have CDPATH defined in .bashrc

It is
":~:/home/data1/protected/Work/3rd-Dynamic/Corporation/Division_4/Dept_10/Company Formation"

Then I start: emacs -q

then: cd tmTAB it works, it expands to tmp and I enter tmp

Initially I am in directory /home/data1/protected

if I am in tmp, after cd .. I come back to /home/data1 instead of
/home/data1/protected

then after cd .. if I wish to come back to home I can do cd ~ which
works.

But then if I wish to cd tmTAB this expansion does not work anymore.